# -*- coding: utf-8 -*-
# Copyright 2022 Kristo Mela
# This source code is licensed under the MIT license. See LICENSE in the repository root directory.
# Author(s): Kristo Mela
ISECTIONS = {"IPE 80": {"h": 80.0, "b": 46.0, "t_w": 3.8, "t_f": 5.2, "r": 5.0},
           "IPE 100": {"h": 100.0, "b": 55.0, "t_w": 4.1, "t_f": 5.7, "r": 7.0},
           "IPE 120": {"h": 120.0, "b": 64.0, "t_w": 4.4, "t_f": 6.3, "r": 7.0},
           "IPE 140": {"h": 140.0, "b": 73.0, "t_w": 4.7, "t_f": 6.9, "r": 7.0},
           "IPE 160": {"h": 160.0, "b": 82.0, "t_w": 5.0, "t_f": 7.4, "r": 9.0},
           "IPE 180": {"h": 180.0, "b": 91.0, "t_w": 5.3, "t_f": 8.0, "r": 9.0},
           "IPE 200": {"h": 200.0, "b": 100.0, "t_w": 5.6, "t_f": 8.5, "r": 12.0},
           "IPE 220": {"h": 220.0, "b": 110.0, "t_w": 5.9, "t_f": 9.2, "r": 12.0},
           "IPE 240": {"h": 240.0, "b": 120.0, "t_w": 6.2, "t_f": 9.8, "r": 15.0},
           "IPE 270": {"h": 270.0, "b": 135.0, "t_w": 6.6, "t_f": 10.2, "r": 15.0},
           "IPE 300": {"h": 300.0, "b": 150.0, "t_w": 7.1, "t_f": 10.7, "r": 15.0},
           "IPE 330": {"h": 330.0, "b": 160.0, "t_w": 7.5, "t_f": 11.5, "r": 18.0},
           "IPE 360": {"h": 360.0, "b": 170.0, "t_w": 8.0, "t_f": 12.7, "r": 18.0},
           "IPE 400": {"h": 400.0, "b": 180.0, "t_w": 8.6, "t_f": 13.5, "r": 21.0},
           "IPE 450": {"h": 450.0, "b": 190.0, "t_w": 9.4, "t_f": 14.6, "r": 21.0},
           "IPE 500": {"h": 500.0, "b": 200.0, "t_w": 10.2, "t_f": 16.0, "r": 21.0},
           "IPE 550": {"h": 550.0, "b": 210.0, "t_w": 11.1, "t_f": 17.2, "r": 24.0},
           "IPE 600": {"h": 600.0, "b": 220.0, "t_w": 12.0, "t_f": 19.0, "r": 24.0},
           "IPE 750": {"h": 134.0, "b": 750.0, "t_w": 264.0, "t_f": 12.0, "r": 15.5},
           "HE 100 AA": {"h": 91.0, "b": 100.0, "t_w": 4.2, "t_f": 5.5, "r": 12.0},
           "HE 100 A": {"h": 96.0, "b": 100.0, "t_w": 5.0, "t_f": 8.0, "r": 12.0},
           "HE 100 B": {"h": 100.0, "b": 100.0, "t_w": 6.0, "t_f": 10.0, "r": 12.0},
           "HE 100 C": {"h": 110.0, "b": 103.0, "t_w": 9.0, "t_f": 15.0, "r": 12.0},
           "HE 100 M": {"h": 120.0, "b": 106.0, "t_w": 12.0, "t_f": 20.0, "r": 12.0},
           "HE 120 AA": {"h": 109.0, "b": 120.0, "t_w": 4.2, "t_f": 5.5, "r": 12.0},
           "HE 120 A": {"h": 114.0, "b": 120.0, "t_w": 5.0, "t_f": 8.0, "r": 12.0},
           "HE 120 B": {"h": 120.0, "b": 120.0, "t_w": 6.5, "t_f": 11.0, "r": 12.0},
           "HE 120 C": {"h": 130.0, "b": 123.0, "t_w": 9.5, "t_f": 16.0, "r": 12.0},
           "HE 120 M": {"h": 140.0, "b": 126.0, "t_w": 12.5, "t_f": 21.0, "r": 12.0},
           "HE 140 AA": {"h": 128.0, "b": 140.0, "t_w": 4.3, "t_f": 6.0, "r": 12.0},
           "HE 140 A": {"h": 133.0, "b": 140.0, "t_w": 5.5, "t_f": 8.5, "r": 12.0},
           "HE 140 B": {"h": 140.0, "b": 140.0, "t_w": 7.0, "t_f": 12.0, "r": 12.0},
           "HE 140 C": {"h": 150.0, "b": 143.0, "t_w": 10.0, "t_f": 17.0, "r": 12.0},
           "HE 140 M": {"h": 160.0, "b": 146.0, "t_w": 13.0, "t_f": 22.0, "r": 12.0},
           "HE 160 AA": {"h": 148.0, "b": 160.0, "t_w": 4.5, "t_f": 7.0, "r": 15.0},
           "HE 160 A": {"h": 152.0, "b": 160.0, "t_w": 6.0, "t_f": 9.0, "r": 15.0},
           "HE 160 B": {"h": 160.0, "b": 160.0, "t_w": 8.0, "t_f": 13.0, "r": 15.0},
           "HE 160 C": {"h": 170.0, "b": 163.0, "t_w": 11.0, "t_f": 18.0, "r": 15.0},
           "HE 160 M": {"h": 180.0, "b": 166.0, "t_w": 14.0, "t_f": 23.0, "r": 15.0},
           "HE 180 AA": {"h": 167.0, "b": 180.0, "t_w": 5.0, "t_f": 7.5, "r": 15.0},
           "HE 180 A": {"h": 171.0, "b": 180.0, "t_w": 6.0, "t_f": 9.5, "r": 15.0},
           "HE 180 B": {"h": 180.0, "b": 180.0, "t_w": 8.5, "t_f": 14.0, "r": 15.0},
           "HE 180 C": {"h": 190.0, "b": 183.0, "t_w": 11.5, "t_f": 19.0, "r": 15.0},
           "HE 180 M": {"h": 200.0, "b": 186.0, "t_w": 14.5, "t_f": 24.0, "r": 15.0},
           "HE 200 AA": {"h": 186.0, "b": 200.0, "t_w": 5.5, "t_f": 8.0, "r": 18.0},
           "HE 200 A": {"h": 190.0, "b": 200.0, "t_w": 6.5, "t_f": 10.0, "r": 18.0},
           "HE 200 B": {"h": 200.0, "b": 200.0, "t_w": 9.0, "t_f": 15.0, "r": 18.0},
           "HE 200 C": {"h": 210.0, "b": 203.0, "t_w": 12.0, "t_f": 20.0, "r": 18.0},
           "HE 200 M": {"h": 220.0, "b": 206.0, "t_w": 15.0, "t_f": 25.0, "r": 18.0},
           "HE 220 AA": {"h": 205.0, "b": 220.0, "t_w": 6.0, "t_f": 8.5, "r": 18.0},
           "HE 220 A": {"h": 210.0, "b": 220.0, "t_w": 7.0, "t_f": 11.0, "r": 18.0},
           "HE 220 B": {"h": 220.0, "b": 220.0, "t_w": 9.5, "t_f": 16.0, "r": 18.0},
           "HE 220 C": {"h": 230.0, "b": 223.0, "t_w": 12.5, "t_f": 21.0, "r": 18.0},
           "HE 220 M": {"h": 240.0, "b": 226.0, "t_w": 15.5, "t_f": 26.0, "r": 18.0},
           "HE 240 AA": {"h": 224.0, "b": 240.0, "t_w": 6.5, "t_f": 9.0, "r": 21.0},
           "HE 240 A": {"h": 230.0, "b": 240.0, "t_w": 7.5, "t_f": 12.0, "r": 21.0},
           "HE 240 B": {"h": 240.0, "b": 240.0, "t_w": 10.0, "t_f": 17.0, "r": 21.0},
           "HE 240 C": {"h": 255.0, "b": 244.0, "t_w": 14.0, "t_f": 24.5, "r": 21.0},
           "HE 240 M": {"h": 270.0, "b": 248.0, "t_w": 18.0, "t_f": 32.0, "r": 21.0},
           "HE 260 AA": {"h": 244.0, "b": 260.0, "t_w": 6.5, "t_f": 9.5, "r": 24.0},
           "HE 260 A": {"h": 250.0, "b": 260.0, "t_w": 7.5, "t_f": 12.5, "r": 24.0},
           "HE 260 B": {"h": 260.0, "b": 260.0, "t_w": 10.0, "t_f": 17.5, "r": 24.0},
           "HE 260 C": {"h": 275.0, "b": 264.0, "t_w": 14.0, "t_f": 25.0, "r": 24.0},
           "HE 260 M": {"h": 290.0, "b": 268.0, "t_w": 18.0, "t_f": 32.5, "r": 24.0},
           "HE 280 AA": {"h": 264.0, "b": 280.0, "t_w": 7.0, "t_f": 10.0, "r": 24.0},
           "HE 280 A": {"h": 270.0, "b": 280.0, "t_w": 8.0, "t_f": 13.0, "r": 24.0},
           "HE 280 B": {"h": 280.0, "b": 280.0, "t_w": 10.5, "t_f": 18.0, "r": 24.0},
           "HE 280 C": {"h": 295.0, "b": 284.0, "t_w": 14.5, "t_f": 25.5, "r": 24.0},
           "HE 280 M": {"h": 310.0, "b": 288.0, "t_w": 18.5, "t_f": 33.0, "r": 24.0},
           "HE 300 AA": {"h": 283.0, "b": 300.0, "t_w": 7.5, "t_f": 10.5, "r": 27.0},
           "HE 300 A": {"h": 290.0, "b": 300.0, "t_w": 8.5, "t_f": 14.0, "r": 27.0},
           "HE 300 B": {"h": 300.0, "b": 300.0, "t_w": 11.0, "t_f": 19.0, "r": 27.0},
           "HE 300 C": {"h": 320.0, "b": 305.0, "t_w": 16.0, "t_f": 29.0, "r": 27.0},
           "HE 300 M": {"h": 340.0, "b": 310.0, "t_w": 21.0, "t_f": 39.0, "r": 27.0},
           "HE 320 AA": {"h": 301.0, "b": 300.0, "t_w": 8.0, "t_f": 11.0, "r": 27.0},
           "HE 320 A": {"h": 310.0, "b": 300.0, "t_w": 9.0, "t_f": 15.5, "r": 27.0},
           "HE 320 B": {"h": 320.0, "b": 300.0, "t_w": 11.5, "t_f": 20.5, "r": 27.0},
           "HE 320 C": {"h": 340.0, "b": 305.0, "t_w": 16.0, "t_f": 30.5, "r": 27.0},
           "HE 320 M": {"h": 359.0, "b": 309.0, "t_w": 21.0, "t_f": 40.0, "r": 27.0},
           "HE 340 AA": {"h": 320.0, "b": 300.0, "t_w": 8.5, "t_f": 11.5, "r": 27.0},
           "HE 340 A": {"h": 330.0, "b": 300.0, "t_w": 9.5, "t_f": 16.5, "r": 27.0},
           "HE 340 B": {"h": 340.0, "b": 300.0, "t_w": 12.0, "t_f": 21.5, "r": 27.0},
           "HE 340 M": {"h": 377.0, "b": 309.0, "t_w": 21.0, "t_f": 40.0, "r": 27.0},
           "HE 360 AA": {"h": 339.0, "b": 300.0, "t_w": 9.0, "t_f": 12.0, "r": 27.0},
           "HE 360 A": {"h": 350.0, "b": 300.0, "t_w": 10.0, "t_f": 17.5, "r": 27.0},
           "HE 360 B": {"h": 360.0, "b": 300.0, "t_w": 12.5, "t_f": 22.5, "r": 27.0},
           "HE 360 M": {"h": 395.0, "b": 308.0, "t_w": 21.0, "t_f": 40.0, "r": 27.0},
           "HE 400 AA": {"h": 378.0, "b": 300.0, "t_w": 9.5, "t_f": 13.0, "r": 27.0},
           "HE 400 A": {"h": 390.0, "b": 300.0, "t_w": 11.0, "t_f": 19.0, "r": 27.0},
           "HE 400 B": {"h": 400.0, "b": 300.0, "t_w": 13.5, "t_f": 24.0, "r": 27.0},
           "HE 400 M": {"h": 432.0, "b": 307.0, "t_w": 21.0, "t_f": 40.0, "r": 27.0},
           "HE 450 AA": {"h": 425.0, "b": 300.0, "t_w": 10.0, "t_f": 13.5, "r": 27.0},
           "HE 450 A": {"h": 440.0, "b": 300.0, "t_w": 11.5, "t_f": 21.0, "r": 27.0},
           "HE 450 B": {"h": 450.0, "b": 300.0, "t_w": 14.0, "t_f": 26.0, "r": 27.0},
           "HE 450 M": {"h": 478.0, "b": 307.0, "t_w": 21.0, "t_f": 40.0, "r": 27.0},
           "HE 500 AA": {"h": 472.0, "b": 300.0, "t_w": 10.5, "t_f": 14.0, "r": 27.0},
           "HE 500 A": {"h": 490.0, "b": 300.0, "t_w": 12.0, "t_f": 23.0, "r": 27.0},
           "HE 500 B": {"h": 500.0, "b": 300.0, "t_w": 14.5, "t_f": 28.0, "r": 27.0},
           "HE 500 M": {"h": 524.0, "b": 306.0, "t_w": 21.0, "t_f": 40.0, "r": 27.0},
           "HE 550 AA": {"h": 522.0, "b": 300.0, "t_w": 11.5, "t_f": 15.0, "r": 27.0},
           "HE 550 A": {"h": 540.0, "b": 300.0, "t_w": 12.5, "t_f": 24.0, "r": 27.0},
           "HE 550 B": {"h": 550.0, "b": 300.0, "t_w": 15.0, "t_f": 29.0, "r": 27.0},
           "HE 550 M": {"h": 572.0, "b": 306.0, "t_w": 21.0, "t_f": 40.0, "r": 27.0},
           "HE 600 AA": {"h": 571.0, "b": 300.0, "t_w": 12.0, "t_f": 15.5, "r": 27.0},
           "HE 600 A": {"h": 590.0, "b": 300.0, "t_w": 13.0, "t_f": 25.0, "r": 27.0},
           "HE 600 B": {"h": 600.0, "b": 300.0, "t_w": 15.5, "t_f": 30.0, "r": 27.0},
           "HE 600 M": {"h": 620.0, "b": 305.0, "t_w": 21.0, "t_f": 40.0, "r": 27.0},
           "HE 650 AA": {"h": 620.0, "b": 300.0, "t_w": 12.5, "t_f": 16.0, "r": 27.0},
           "HE 650 A": {"h": 640.0, "b": 300.0, "t_w": 13.5, "t_f": 26.0, "r": 27.0},
           "HE 650 B": {"h": 650.0, "b": 300.0, "t_w": 16.0, "t_f": 31.0, "r": 27.0},
           "HE 650 M": {"h": 668.0, "b": 305.0, "t_w": 21.0, "t_f": 40.0, "r": 27.0},
           "HE 700 AA": {"h": 670.0, "b": 300.0, "t_w": 13.0, "t_f": 17.0, "r": 27.0},
           "HE 700 A": {"h": 690.0, "b": 300.0, "t_w": 14.5, "t_f": 27.0, "r": 27.0},
           "HE 700 B": {"h": 700.0, "b": 300.0, "t_w": 17.0, "t_f": 32.0, "r": 27.0},
           "HE 700 M": {"h": 716.0, "b": 304.0, "t_w": 21.0, "t_f": 40.0, "r": 27.0},
           "HE 800 AA": {"h": 770.0, "b": 300.0, "t_w": 14.0, "t_f": 18.0, "r": 30.0},
           "HE 800 A": {"h": 790.0, "b": 300.0, "t_w": 15.0, "t_f": 28.0, "r": 30.0},
           "HE 800 B": {"h": 800.0, "b": 300.0, "t_w": 17.5, "t_f": 33.0, "r": 30.0},
           "HE 800 M": {"h": 814.0, "b": 303.0, "t_w": 21.0, "t_f": 40.0, "r": 30.0},
           "HE 900 AA": {"h": 870.0, "b": 300.0, "t_w": 15.0, "t_f": 20.0, "r": 30.0},
           "HE 900 A": {"h": 890.0, "b": 300.0, "t_w": 16.0, "t_f": 30.0, "r": 30.0},
           "HE 900 B": {"h": 900.0, "b": 300.0, "t_w": 18.5, "t_f": 35.0, "r": 30.0},
           "HE 900 M": {"h": 910.0, "b": 302.0, "t_w": 21.0, "t_f": 40.0, "r": 30.0},
           "HE 1000 AA": {"h": 970.0, "b": 300.0, "t_w": 16.0, "t_f": 21.0, "r": 30.0},
           "HE 1000 A": {"h": 990.0, "b": 300.0, "t_w": 16.5, "t_f": 31.0, "r": 30.0},
           "HE 1000 B": {"h": 1000.0, "b": 300.0, "t_w": 19.0, "t_f": 36.0, "r": 30.0},
           "HE 1000 M": {"h": 1008.0, "b": 302.0, "t_w": 21.0, "t_f": 40.0, "r": 30.0}
           }